Skip to main content

List Pix Infraction Notifications

GET 

/v1/pix/compliance/infraction-notifications

Retrieve a paginated list of the authenticated company's wallet pix infraction notifications (MED).

Request​

Query Parameters

    page number

    Default value: 1

    Page number.

    size number

    Possible values: <= 100

    Default value: 20

    Page size. Max size is 100.

    sort string

    Possible values: [created_at, updated_at]

    Page sort attribute.

    order string

    Possible values: [asc, desc]

    Default value: asc

    Page order.

    created_at_start date-time

    Created at start (ISO 8601: YYYY-MM-DDTHH:mm:ss.SSSZ). Time is respected.

    created_at_end date-time

    Created at end (ISO 8601: YYYY-MM-DDTHH:mm:ss.SSSZ). Time is respected.

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

Responses​

The pix infraction notifications returned successfully.

Schema
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    Pix infraction notifications data.

  • Array [
  • id stringrequired

    Pix infraction notification ID.

    infraction_type string

    Possible values: [FRAUD, REFUND_REQUEST, CANCEL_DEVOLUTION]

    Infraction type.

    status string

    Possible values: [ACKNOWLEDGED, CLOSED, OPEN, CANCELLED, NEW, RECEIVED, IN_ANALYSIS, OPENED, REJECTED]

    Infraction status.

    description string

    Infraction description.

    end_to_end_id string

    End-to-end ID of the original transaction.

    client_status string

    Possible values: [AGREED, DISAGREED]

    Client analysis status.

    created_at date-timerequired

    Infraction notification created at.

    updated_at date-time

    Infraction notification updated at.

    counterparty_name string

    Counterparty name (payer).

    bank_name string

    Counterparty bank name.

    amount number

    Infraction amount in cents.

    company_name string

    Company name (authenticated company).

    analysis_result string

    Possible values: [AGREED, DISAGREED]

    Compliance analysis result.

    compliance_fraud_type string

    Possible values: [IDEOLOGICAL_FALSEHOOD, MULE_ACCOUNT, FRAUD_ACCOUNT, OTHER]

    Compliance fraud type classification.

    analysis_details string

    Analysis justification provided by compliance operator.

    analyzed_by_operator_name string

    Name of the compliance operator who analyzed the infraction.

    client_analysis_details string

    Justification provided by the client when analyzing the infraction.

  • ]
Loading...